Skip to main content

Update M2M Account

PUT 

/v2/account/:account_id/m2m-credentials

Patch an account’s M2M client secret or description.Requires accountOrg:config:edit or account:config:edit permissions and for user to share an org with the account.If rotate_secret is set to true, a new client secret will be generated.

Request

Path Parameters

    account_id uuidrequired

    Account ID

Query Parameters

    rotate_secret Rotate Secret

Body

    client_secret Client Secret (string)

    Client secret for this account

    description Description (string)

    Description for this account

Responses

Successful Response

Schema

    account_id uuidrequired

    The client ID

    client_secret Client Secret (string)required

    The client secret for the M2M Account

    description Description (string)

    A description of the M2M Account

    org_id uuid

    The Org ID the M2M Account belongs to

Loading...